import { BaseComponent } from '../../Utilities';
import { IModalProps } from './Modal.Props';
export interface IDialogState {
    isOpen?: boolean;
    isAnimatingOpen?: boolean;
    isAnimatingClose?: boolean;
    id?: string;
}
export declare class Modal extends BaseComponent<IModalProps, IDialogState> {
    static defaultProps: IModalProps;
    constructor(props: IModalProps);
    componentWillReceiveProps(newProps: IModalProps): void;
    render(): JSX.Element;
    private _onDialogRef(ref);
    private _onAnimationEnd(ev);
}
